/*------------------------------------*\
    #OBJECTS.ICON-BUTTON
\*------------------------------------*/
/**
 * Icon button object.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}icon-button,
%#{$inuit-namespace}icon-button {
    background: $drk-color-blue;
    border: 0;
    display: block;
    height: $drk-base-unit-small;
    margin: 0 0 1px;
    padding: 0;
    transition: .15s all ease;
    width: $drk-base-unit-small;

    @media #{$large-up} {
        height: $drk-base-unit;
        width: $drk-base-unit;
    }
}

.#{$inuit-namespace}icon-button__icon,
%#{$inuit-namespace}icon-button__icon {
    display: block;
    height: 100%;
    padding: 10px;
    width: 100%;

    &--arrow {
        padding: 5px;
    }
}
